Debian Bug report logs - #53758
[ACCEPTED 02/01/2000] policy for "x-window-manager" virtual package and alternative

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Branden Robinson <branden@ecn.purdue.edu>

Date: Fri, 31 Dec 1999 01:03:12 UTC

Severity: fixed

Found in version 3.1.1.1

Done: Julian Gilbey <J.D.Gilbey@qmw.ac.uk>

Bug is archived. No further changes may be made.

Forwarded to debian-policy@lists.debian.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#53758; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@ecn.purdue.edu>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@ecn.purdue.edu>
To: submit@bugs.debian.org
Subject: [PROPOSED] Policy for "x-window-manager" virtual package and alternative
Date: Thu, 30 Dec 1999 19:51:04 -0500
Package: debian-policy
Version: 3.1.1.1
Severity: wishlist

Documents current practice.

-- 
G. Branden Robinson            |
Debian GNU/Linux               |             //     // //  /     /
branden@ecn.purdue.edu         |             EI 'AANIIGOO 'AHOOT'E
roger.ecn.purdue.edu/~branden/ |

--- policy.sgml.orig	Wed Dec 29 17:01:51 1999
+++ policy.sgml	Thu Dec 30 12:39:50 1999
@@ -3140,6 +3140,27 @@
 	  without) of your package.</p>
 	  
 	<p>
+	  <em>Packages that provide window managers</em> should declare in
+	  their contol data that they provide the virtual package
+	  <tt>x-window-manager</tt>.  They should also register themselves as an
+	  alternative for <tt>/usr/bin/x-window-manager</tt>, with a priority
+	  calculated as follows:
+	  <list>
+	    <item>Start with a priority of 20.</item>
+	    <item>If the window manager supports the Debian menu system,
+	    add 20 points if this support is available in the package's
+	    default configuration (i.e., no configuration files belonging
+	    to the system or user have to be edited to activate the
+	    feature); if configuration files must be modified, add only 10
+	    points.</item>
+	    <item>If the window manager permits the X session to be
+	    restarted using a <em>different</em> window manager (without
+	    killing the X server) in its default configuration, add 10 points; 
+	    otherwise add none.</item>
+	  </list>
+	</p>
+	<p>
 	  <em>Application defaults</em> files have to be installed in
 	  the directory <tt>/usr/X11R6/lib/X11/app-defaults/</tt>.
 	  They are considered as part of the program code.  Thus, they


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#53758; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Randolph Chung <randolph@tausq.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 53758@bugs.debian.org (full text, mbox):

From: Randolph Chung <randolph@tausq.org>
To: 53755@bugs.debian.org, 53756@bugs.debian.org, 53757@bugs.debian.org, 53758@bugs.debian.org, 53759@bugs.debian.org, 53760@bugs.debian.org, 53761@bugs.debian.org, 53762@bugs.debian.org, 53763@bugs.debian.org
Subject: Seconds
Date: Sat, 1 Jan 2000 23:06:24 -0700
[Message part 1 (text/plain, inline)]
I second Branden's proposals.

randolph
-- 
   @..@                                         http://www.TauSq.org/
  (----)
 ( >__< )
 ^^ ~~ ^^
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#53758; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 53758@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: 53756@bugs.debian.org, 53757@bugs.debian.org, 53758@bugs.debian.org, 53760@bugs.debian.org, 53761@bugs.debian.org, 53762@bugs.debian.org, 53763@bugs.debian.org, 53755@bugs.debian.org
Subject: Seconded: Branden's X Proposals
Date: Sun, 2 Jan 2000 13:09:54 -0500
I second the following proposals:
53756 53757 53758 53760 53761 53762 53763 53755

With spelling errors fixed, of course.

I think that's everything Branden suggested on Dec 30 except for 53759.

Thanks,

-- 
Raul


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#53758; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 53758@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Branden Robinson <branden@ecn.purdue.edu>, 53758@bugs.debian.org
Subject: Re: Bug#53758: [PROPOSED] Policy for "x-window-manager" virtual package and alternative
Date: Mon, 3 Jan 2000 17:21:39 -0800
Branden Robinson wrote:
> +	    <item>Start with a priority of 20.</item>
> +	    <item>If the window manager supports the Debian menu system,
> +	    add 20 points if this support is available in the package's
> +	    default configuration (i.e., no configuration files belonging
> +	    to the system or user have to be edited to activate the
> +	    feature); if configuration files must be modified, add only 10
> +	    points.</item>
> +	    <item>If the window manager permits the X session to be
> +	    restarted using a <em>different</em> window manager (without
> +	    killing the X server) in its default configuration, add 10 points; 
> +	    otherwise add none.</item>

This is really cute. Seconded.

-- 
see shy jo, adding 10 points to his DEX stat.


Changed Bug title. Request was from Branden Robinson <branden@kroll.tool.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Branden Robinson <branden@kroll.tool.net> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to debian-policy@lists.debian.org. Request was from Branden Robinson <branden@kroll.tool.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Julian Gilbey <J.D.Gilbey@qmw.ac.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@ecn.purdue.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 53758-done@bugs.debian.org (full text, mbox):

From: Julian Gilbey <J.D.Gilbey@qmw.ac.uk>
To: 15709-done@bugs.debian.org, 17369-done@bugs.debian.org, 22935-done@bugs.debian.org, 29522-done@bugs.debian.org, 39398-done@bugs.debian.org, 40934-done@bugs.debian.org, 43787-done@bugs.debian.org, 51091-done@bugs.debian.org, 52225-done@bugs.debian.org, 53405-done@bugs.debian.org, 53755-done@bugs.debian.org, 53756-done@bugs.debian.org, 53757-done@bugs.debian.org, 53758-done@bugs.debian.org, 53760-done@bugs.debian.org, 53761-done@bugs.debian.org, 53762-done@bugs.debian.org, 53763-done@bugs.debian.org, 54777-done@bugs.debian.org, 56407-done@bugs.debian.org, 56692-done@bugs.debian.org, 58771-done@bugs.debian.org
Cc: srivasta@debian.org
Subject: Closed in debian-policy 3.2.0.0
Date: Wed, 2 Aug 2000 15:17:16 -0700
These bugs have been closed in policy version 3.2.0.0.

Thanks Manoj!

   Julian

-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

  Julian Gilbey, Dept of Maths, QMW, Univ. of London. J.D.Gilbey@qmw.ac.uk
        Debian GNU/Linux Developer,  see http://www.debian.org/~jdg
  Donate free food to the world's hungry: see http://www.thehungersite.com/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:37:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.